#
# spec file for package gpart (Version 0.1h)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gpart
License:        GPL
Group:          System/Filesystems
Autoreqprov:    on
Version:        0.1h
Release:        493.2
Summary:        Tool That Can Guess a Lost Partition Table
URL:            http://www.stud.uni-hannover.de/user/76201/gpart/
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.diff
Patch1:         %{name}-%{version}-array_overflow.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gpart is a small tool that tries to guess what partitions are on a PC
type hard disk in case the primary partition table was damaged. Gpart
supports, among others, partitions formatted as ext2, FAT 12/16/32,
ReiserFS, NTFS, and HPFS. Read the file
/usr/share/doc/packages/gpart/README and the gpart man page before
using gpart.



Authors:
--------
    mb@ichabod.han.de

%debug_package
%prep
%setup -q
%patch
%patch1

%build
make CFLAGS="$RPM_OPT_FLAGS -pedantic -DVERSION=\\\"%version\\\""

%install
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changes INSTALL LSM README
/usr/bin/gpart
/usr/share/man/man8/gpart.8.gz

%changelog -n gpart
* Thu Mar 23 2006 - anicka@suse.cz
- fix array overflow [#159103]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Thu May 12 2005 - meissner@suse.de
- use RPM_OPT_FLAGS
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Mon Jun 16 2003 - coolo@suse.de
- use BuildRoot
* Fri Nov 29 2002 - prehak@suse.cz
- included <errno.h> where needed in order to compile with gcc 3.3
- small adjustments in specfile
* Tue Jul 24 2001 - uli@suse.de
- update -> 0.1h
* Thu Apr 12 2001 - uli@suse.de
- disabled useless #ifdef (fixes 390)
* Thu Nov 30 2000 - uli@suse.de
- update -> 0.1g
* Mon May 15 2000 - schwab@suse.de
- Fix for ia64.
* Sun Jan 30 2000 - kukuk@suse.de
- Fix SPARC fix
- Move /usr/man -> /usr/share/man
* Mon Dec 06 1999 - kukuk@suse.de
- Fix for SPARC
* Tue Oct 26 1999 - uli@suse.de
- update -> 0.1e
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 13 1999 - uli@suse.de
- fixed for PPC; I doubt this will do anything useful on these
  machines, though...
* Mon Jan 25 1999 - uli@suse.de
- new package, version 0.1b
